#
# spec file for package python-requirements-detector
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         oldpython python
Name:           python-requirements-detector
Version:        0.7
Release:        2.12
Summary:        Python tool to find and list requirements of a Python project
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/landscapeio/requirements-detector
# https://github.com/landscapeio/requirements-detector/issues/25
Source:         https://github.com/landscapeio/requirements-detector/archive/%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-astroid >= 1.4
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module astroid >= 1.4}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Requirements-detector is a Python tool which attempts to find and list
the requirements of a Python project.

When run from the root of a Python project, it will try to ascertain
which libraries and the versions of those libraries that the project
depends on.

%prep
%setup -q -n requirements-detector-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/detect-requirements
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%post
%python_install_alternative detect-requirements

%postun
%python_uninstall_alternative detect-requirements

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*
%python_alternative %{_bindir}/detect-requirements

%changelog
* Wed Feb 10 2021 Markéta Machová <mmachova@suse.com>
- Get rid of %%ifpython3
- Drop the conflict, the old version is only on Leap 15.1 and older by now
* Mon Aug  3 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to version 0.7
  * support Python 3.8
  * code refactorings and cleanups
* Wed Jun  3 2020 Marketa Calabkova <mcalabkova@suse.com>
- replace nose with pytest
* Tue May 19 2020 Petr Gajdos <pgajdos@suse.com>
- %%python3_only -> %%python_alternative
* Fri Jan 10 2020 Tomáš Chvátal <tchvatal@suse.com>
- Revert back the previous commit
* Thu Jan  9 2020 Todd R <toddrme2178@gmail.com>
- Drop python2 subpackage due to dependencies dropping python2.
* Tue May 21 2019 Todd R <toddrme2178@gmail.com>
- Fix conflicts with old python2-only version
- Fix description formatting.
* Mon May 20 2019 pgajdos@suse.com
- version update to 0.6
  * no changelog available
- run tests
- convert to singlespec
* Tue May 12 2015 benoit.monin@gmx.fr
- update to version 0.4:
  * no changelog available
* Wed Jan 15 2014 speilicke@suse.com
- Initial version
